import Api from '../axios'

const prefix = '/rpm/report'

export default {
  /* 查询 */
  listType (obj) {
    return Api.getById(prefix + '/listType', obj)
  },
  /* 根据主题查询KPI列表 */
  listKpiConfigs (obj) {
    return Api.getById(prefix + '/listKpiConfigs', obj)
  },
  /* 查询主题树(Ztree格式带检索) */
  topicForZtree (obj) {
    return Api.get(prefix + '/topicForZtree', obj)
  },

  /* 报表分页列表展示 */
  list (obj) {
    return Api.get(prefix + '/list', obj)
  },

  /* 新建报表--第一步 */
  saveOne (obj) {
    return Api.post(prefix + '/saveOne', obj)
  },
  /* 新建报表--第二步 */
  saveTwo (obj) {
    return Api.post(prefix + '/saveTwo', obj)
  },
  /* 新建报表--第三步 */
  saveThree (obj) {
    return Api.post(prefix + '/saveThree', obj)
  },
  /* 新建报表--第四步 */
  saveFour (obj) {
    return Api.post(prefix + '/saveFour', obj)
  },
  /* 新建报表--第五步 */
  saveFive (obj) {
    return Api.post(prefix + '/saveFive', obj)
  },
  /* 新建报表--第六步 */
  saveSix (obj) {
    return Api.post(prefix + '/saveSix', obj)
  },

  /* 修改报表状态 */
  status (obj) {
    return Api.putById(prefix + '/status', obj)
  },
  /* 报表删除 */
  deleteById (obj) {
    return Api.deleteById(prefix + '', obj)
  },
  /* 报表获取 */
  getById (obj) {
    return Api.getById(prefix + '', obj)
  },
  /* 子报表获取 */
  listSonReport (obj) {
    return Api.get(prefix + '/listSonReport', obj)
  },
  /* 父报表获取 */
  listPReport (obj) {
    return Api.get(prefix + '/listPReport', obj)
  },
  /* 用户获取 */
  listUser (obj) {
    return Api.get(prefix + '/listUser', obj)
  },
  /* 单个报表授权 */
  reportRelUsers (obj) {
    return Api.post(prefix + '/reportRelUsers', obj)
  },
  /* 多个报表授权 */
  reportsRelUsers (obj) {
    return Api.post(prefix + '/reportsRelUsers', obj)
  },
  /* 获取单个报表的用户 */
  listRelUser (obj) {
    return Api.getById(prefix + '/listRelUser', obj)
  },
  /* 删除 */
  delete (obj) {
    return Api.deleteById(prefix + '', obj)
  },

  /* 报表页面渲染 */
  view (obj) {
    return Api.getById(prefix + '/view', obj)
  },
  /* 报表页面数据查询 */
  getReportData(obj){
    return Api.post(prefix + '/getReportData', obj)
  },
  /* 查找分类下的报表 */
  listReportByMenu(obj){
    return Api.get(prefix + '/listReportByMenu', obj)
  },

  /* 查找分类下用户已授权的报表 */
  listReportByUserAndMenu(obj){
    return Api.get(prefix + '/listReportByUserAndMenu', obj)
  },
  /*  查找报表下全量kpi */
  listKpiByReportId(obj){
    return Api.getById(prefix + '/listKpiByReportId', obj)
  },
  /* 下载 */
  downloadReportFile(obj){
    return Api.post(prefix + '/downloadReportFile', obj)
  },
}
